﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Anritsu MG369xC: CAL ADJ IEEE /N5531S
DATE:                  2014-06-10 12:42:11
AUTHOR:                Fluke
REVISION:              $Revision: 8116 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       196
CONFIGURATION:         Agilent PSA (50.0 GHz,233)
CONFIGURATION:         Agilent EPM
CONFIGURATION:         Agilent N5532A (100.0 kHz - 50.0 GHz)
STANDARD:              34NFK50
STANDARD:              34VKF50
STANDARD:              11904D
STANDARD:              PE9673
STANDARD:              Anritsu 41KC-10
STANDARD:              Anritsu 41V-10
=============================================================================
#
#  Text Source:
#    $RCSfile: anritsu_mg369xc_cal_adj_ieee_n5532.mc $
#    $Date: 2014-06-10 13:25:24 -0700 (Tue, 10 Jun 2014) $
#
#  Procedure Author:
#        AWS
#@
#@ Model(s) Covered:
#@       MG3691C, MG3692C, MG3693C, MG3694C, MG3695C
#@
#@ Source:
#@
#@ Compatibility:
#@       MET/CAL 8.0 or later
#@
#  Subprocedures:
#        Sub MG369XC Init Cal Power Sensor /N5532
#        Sub MG369XC Set Model Flags
#        Sub MG369XC Set RF Output Connector Type
#        Sub MG369XC Additional Level Adj Equipment Required
#        Sub MG369XC Get Options
#        Sub MG369XC Init Level Adj Connection Flags
#        Sub MG369XC Set Instrument Info
#        Sub MG369XC Search for Max Power Values /N5531S
#        Sub MG369XC Log Amp Bkpt Cal /N5531S
#        Sub MG369XC Detector Table Cal /N5531S
#        Sub MG369XC DC Pulse Cal /N5531S
#        Sub MG369XC Flatness Cal /N5531S
#        Sub MG369XC DDS Calibration /N5531S
#
#  Common subprocedures (also see Flexible & User-configured Drivers below):
#        Sub Connector Precautions (Type N)
#        Sub Connector Precautions (2.9 mm)
#        Sub Connector Precautions (2.4 mm)
#        Sub Display Copyright
#        Sub MET/CAL Version Check
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub Select Failed Test Mode
#        Sub Verification Method
#        Sub Audible Prompt
#
#  Required Files:
#
#  The copyright in this procedure is owned by Anritsu Company.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Specify power sensors to be used with N5531 calibrated reciever.

  1.001  CALL         Sub MG369XC Init Cal Power Sensor /N5532

# Dummy statements to force the main procedure header to list all options
# required by subprocedures.

  1.002  N5531        Reset

  1.003  IF           0
  1.004  N5531        Connect; Input = RF
  1.004  N5531        SensorModule = N5532A; Freq = 50000 MHz
  1.005  N5531        Connect; Input = RF
  1.005  N5531        SensorModule = N5532A; Freq = 10 kHz
  1.006  STD          34NFK50
  1.007  STD          34VKF50
  1.008  STD          11904D
  1.009  STD          PE9673
  1.010  STD          Anritsu 41KC-10
  1.011  STD          Anritsu 41V-10
  1.012  ENDIF

  1.013  ASK-   R   Q N              P J             C            F        V
  1.014  ASK+           K

# Verify MET/CAL version compatibility.
  1.015  MATH         @ReqMetCalVersion = "8.0"
  1.016  CALL         Sub MET/CAL Version Check

  1.017  IF           NOT(@MetCalVersionOK)
  1.018  DISP         This procedure requires MET/CAL 8.0 or later.
  1.019  END
  1.020  ENDIF

  1.021  CALL         Sub Display Copyright

  1.022  RSLT         =
  1.023  HEAD         {IDENTIFICATION}
  1.024  IEEE         *IDN?[I$]
  1.025  CALL         Sub IEEE-488.2 Identification Query Parse Response
  1.037  MATH         L[1] = ZCMPI(@Manufacturer, "ANRITSU")
  1.038  MATH         L[2] = ZCMPI(@ModelNum, @Model)

  1.039  IF           NOT(L[1]) || NOT(L[2])
  1.040  DISP         UUT is an [V @Manufacturer] [V @ModelNum],
  1.040  DISP         not an ANRITSU [V @Model]!
  1.041  END
  1.042  ENDIF

  1.043  MATH         Uut = UUT()
  1.044  MATH         L[1] = EMPTY(@SerialNum)
  1.045  MATH         L[2] = ZCMPI(@SerialNum, "Not Available")

  1.046  IF           L[1] || L[2]
  1.047  OPBR         -z Is asset [V Uut] connected to the
  1.047  OPBR         system as the Unit Under Test?
  1.048  ELSE
  1.049  MATH         UutSerialNo = SN(Uut)
  1.050  MATH         MEM1 = ZCMP(UutSerialNo, @SerialNum)
  1.051  ENDIF

  1.052  IF           NOT(MEM1)
  1.053  DISP         The serial number of the UUT does not
  1.053  DISP         match the serial number of asset [V Uut]!
  1.054  END
  1.055  ENDIF

  1.056  CALL         Sub MG369XC Set Model Flags
  1.057  CALL         Sub MG369XC Set RF Output Connector Type

  1.058  CALL         Sub Select Failed Test Mode
  1.059  CALL         Sub MG369XC Additional Level Adj Equipment Required
  1.060  OPBR         -z Do you wish to view the connection precautions?

  1.061  IF           MEM1
  1.062  CALL         Sub Connector Precautions (Type N)
  1.063  CALL         Sub Connector Precautions (2.9 mm)
  1.064  CALL         Sub Connector Precautions (2.4 mm)
  1.065  ENDIF

  1.066  HEAD         INITIAL INFORMATION
  1.067  CALL         Sub MG369XC Get Options
  1.068  CALL         Sub MG369XC Set Instrument Info

  1.069  RESET        RF0
  1.070  VSET         NMEAS = 1

  1.071  CALL         Sub MG369XC Init Level Adj Connection Flags

# Get the max power and the frequency at which it occurs in the down
# converter and main bands.  These are used in the Log Amp Breakpoint and
# the Detector calibrations.
  1.072  CALL         Sub MG369XC Search for Max Power Values /N5531S

# Log Table Calibration
  1.073  CALL         Sub MG369XC Log Amp Bkpt Cal /N5531S
  1.074  CALL         Sub MG369XC Detector Table Cal /N5531S

# Flatness Calibration
# Down Converter Pulse Cal
  1.075  IF           @FirmwareVer >= 3.4 && (@Opt_4 || @Opt_5) && @Opt_13
  1.076  CALL         Sub MG369XC DC Pulse Cal /N5531S
  1.077  ENDIF

  1.078  CALL         Sub MG369XC Flatness Cal /N5531S

# DDS Calibration
  1.079  IF           @Opt_22
  1.080  CALL         Sub MG369XC DDS Calibration /N5531S
  1.081  ENDIF

  1.082  HEAD
  1.083  CALL         Sub Audible Prompt
  1.084  DISP         A D J U S T M E N T   C O M P L E T E
  1.085  END
