﻿Anritsu Company                                             MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XC Get Flatness Table Index
INSTRUMENT:            Sub MG369XC Get Flatness Table Freq
DATE:                  2013-11-18 13:08:12
AUTHOR:                Al Shannon
REVISION:              $Revision: 8106 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       69
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_mg369xc_flatness_table.mc $
#    $Date: 2014-06-10 07:17:23 -0700 (Tue, 10 Jun 2014) $
#
#  Procedure Author:
#        AWS
#
#  Model(s) Covered:
#        MG369XC
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Subprocedures:
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Anritsu Company.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         GET_INDEX PSUBI("Index")
  1.002  JMPL         GET_FREQ PSUBI("Freq")
  1.003  DISP         Subprocedure not found!
  1.004  END

#=====================Sub MG369XC Get Flatness Table Index===================
  1.005  LABEL        GET_INDEX
  1.006  IF           @FreqGHz < 0.020
  1.007  MATH         @TableIndex = RND(@FreqGHz * 1000) - 10
  1.008  ELSEIF       @FreqGHz < 2 && @Opt_5
  1.009  MATH         @TableIndex = Rnd(@FreqGHz * 100) + 8
  1.010  ELSEIF       @FreqGHz < 2.2 && @Opt_4
  1.011  MATH         @TableIndex = Rnd(@FreqGHz * 100) + 8
  1.012  ELSE
  1.013  MATH         @TableIndex = Rnd(@FreqGHz * 10) + 209
  1.014  ENDIF

  1.015  END
  1.016  EVAL

#=====================Sub MG369XC Get Flatness Table Freq====================
  2.001  LABEL        GET_FREQ

  2.002  IF           @TableIndex < 10
  2.003  MATH         @FreqGHz = (@TableIndex + 10) / 1000
  2.004  ELSEIF       @TableIndex < 229
  2.005  MATH         @FreqGHz = (@TableIndex - 8) / 100
  2.006  ELSE
  2.007  MATH         @FreqGHz = (@TableIndex - 209) / 10
  2.008  ENDIF

  2.009  END
