﻿Anritsu                                                     MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XC Set Detector DAC /N5531S
DATE:                  2014-02-22 16:08:39
AUTHOR:                Al Shannon
REVISION:              $Revision: 8104 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       64
CONFIGURATION:         Agilent PSA
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_mg369xc_set_detector_dac_n5531s.mc $
#    $Date: 2014-06-10 06:42:43 -0700 (Tue, 10 Jun 2014) $
#
#  Procedure Author:
#        AWS
#
#  Model(s) Covered:
#        MG369XC
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Subprocedures:
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Anritsu Company.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Set the detector DAC to a value that results in as close as
# you can get to the expected power.

  1.001  MATH         high = 255
  1.002  MATH         low = 0

  1.003  DO
  1.004  MATH         dacValue = INT((high + low) / 2)
  1.005  IEEE         DAB[V dacValue]X[D50]

# Measure the power at this DAC setting
  1.006  IEEE2        [@N5531S]:READ:TRFL?[I$]
  1.007  MATH         MEM = FLD(MEM2,1,",")

# Account for the loss from the adapters and pads
  1.008  MATH         MEM = MEM + @Offset_Value

  1.009  IF           MEM > @DetectorPower
  1.010  MATH         high = dacValue - 1
  1.011  ELSEIF       MEM < @DetectorPower
  1.012  MATH         low = dacValue + 1
  1.013  ENDIF

  1.014  UNTIL        (high < low) || (MEM == @DetectorPower)

  1.015  MATH         @DetectorDAC = dacValue
  1.016  END
