﻿Anritsu Company                                             MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XC Store Flatness Corrections
INSTRUMENT:            Sub MG369XC Store DC Pulse Corrections
DATE:                  2013-11-18 13:08:13
AUTHOR:                Al Shannon
REVISION:              $Revision: 8106 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       139
=============================================================================
#  Text Source:
#    $RCSfile: sub_mg369xc_store_corrections.mc $
#    $Date: 2014-06-10 07:17:23 -0700 (Tue, 10 Jun 2014) $
#
#  Procedure Author:
#        AWS
#
#  Model(s) Covered:
#        MG369XC
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Subprocedures:
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Anritsu Company.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON
  1.001  JMPL         FLATNESS PSUBI("Flatness")
  1.002  JMPL         DC_PULSE PSUBI("DC Pulse")
  1.003  DISP         Subprocedure not found!
  1.004  END

#=================== Sub MG369XC Store Flatness Corrections =================
  1.005  LABEL        FLATNESS
  1.006  IF           @Opt_4 || @Opt_5
  1.007  MATH         startIndex = 0
  1.008  ELSE
  1.009  MATH         startIndex = 229
  1.010  ENDIF


  1.011  MATH         @Step = 0

  1.012  WHILE        @Step <=11
  1.013  MATH         curIndex = startIndex
  1.014  MATH         line = findcsvn(@CorrectionFile,@Step,"1",1,"x")
  1.015  MATH         index = FLD(x,2,",")

# Set the attenuator step prior to sending the correction values for this step
  1.016  MATH         S[1] = "00" & @Step
  1.017  MATH         S[2] = SUB(S[1],LEN(S[1])-1,2)
  1.018  MATH         FreqMHz = @FreqLowGHz * 1000
  1.019  IEEE         ATT[SREG2] FRQ[V FreqMHz]X[D50]

  1.020  WHILE        line > 0

  1.021  IF           index == curIndex
  1.022  MATH         freqValue = FLD(x,3,",")
  1.023  MATH         corrValue = FLD(x,4,",")
  1.024  MATH         line = FINDCSVN(@CorrectionFile,@Step,"1",line+1,"x")
  1.025  MATH         index = FLD(x,2,",")
  1.026  ELSE
  1.027  MATH         corrValue = 0
  1.028  ENDIF

# Provide the user a little feedback
  1.029  HEAD         -2Storing correction for [V freqValue] GHz

  1.030  IEEE         DAB[V corrValue]X[D50]
  1.031  MATH         curIndex = curIndex + 1
  1.032  ENDW

  1.033  MATH         @Step = @Step + 1
  1.034  ENDW

  1.035  HEAD         -2

  1.036  END
  1.037  EVAL
#==================== Sub MG369XC Store DC Pulse Corrections ================
  2.001  LABEL        DC_PULSE
  2.002  MATH         lineNo = 1
  2.003  MATH         line2 = READ(@CorrectionFile,1)

  2.004  IF           EOF(@CorrectionFile) && EMPTY(line2)
  2.005  DISP         Error: Empty DC Pulse correction file.
  2.006  END
  2.007  ENDIF

  2.008  MATH         index2 = FLD(line2,2,",")
  2.009  MATH         freq2 = FLD(line2,3,",")
  2.010  MATH         corr2 = FLD(line2,4,",")

  2.011  IF           index2 != 108
  2.012  DISP         Error: Missing index 108 in DC Pulse correction file.
  2.013  END
  2.014  ENDIF

  2.015  MATH         curIndex = 108
  2.016  WHILE        NOT(EOF(@CorrectionFile) && EMPTY(line2))

  2.017  IF           index2 == curIndex

  2.018  HEAD         -2Storing correction for [V freq2] GHz
  2.019  IEEE         DAB[V corr2]x[D100]
  2.020  MATH         index1 = index2
  2.021  MATH         freq1 = freq2
  2.022  MATH         corr1 = corr2
  2.023  MATH         lineNo = lineNo + 1
  2.024  MATH         line2 = READ(@CorrectionFile,lineNo)

  2.025  IF           NOT(EOF(@CorrectionFile) && EMPTY(line2))
  2.026  MATH         index2 = FLD(line2,2,",")
  2.027  MATH         freq2 = FLD(line2,3,",")
  2.028  MATH         corr2 = FLD(line2,4,",")
  2.029  ENDIF

  2.030  ELSEIF       curIndex < index2
  2.031  MATH         @TableIndex = curIndex
  2.032  CALL         Sub MG369XC Get Flatness Table Freq
  2.033  MATH         L[1] = (@FreqGHz - freq1) / (freq2 - freq1)
  2.034  MATH         corr = RND(corr1 + L[1] * (corr2 - corr1))
  2.035  HEAD         -2Storing correction for [V @FreqGHz] GHz
  2.036  IEEE         DAB[V corr]x[D100]
  2.037  ENDIF

  2.038  MATH         curIndex = curIndex + 1
  2.039  ENDW


  2.040  END
