﻿Anritsu Company                                             MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XC Set Model Flags
INSTRUMENT:            Sub MG369XC Set RF Output Connector Type
INSTRUMENT:            Sub MG369XC Set Instrument Info
DATE:                  2013-11-18 13:08:15
AUTHOR:                Fluke
REVISION:              $Revision: 8087 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       4
NUMBER OF LINES:       101
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_mg369xc_utils_3.mc $
#    $Date: 2014-06-10 06:30:59 -0700 (Tue, 10 Jun 2014) $
#
#  Procedure Author:
#        DAC, AWS
#
#  Model(s) Covered:
#        MG369XC
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SET_MODEL_FLAGS              PSUBI("Set Model Flags")
  1.002  JMPL         OUTPUT_CONNECTOR_TYPE        PSUBI("Set RF Output Con")
  1.003  JMPL         SET_INST_INFO                PSUBI("Set Instrument In")
  1.004  DISP         Subprocedure not found!
  1.005  END

  1.006  EVAL   Increment step number

# =====  Sub MG369XC Set Model Flags  =======================================

  2.001  LABEL        SET_MODEL_FLAGS
  2.002  MATH         @MG3691C = ZCMPI(@ModelNum, "MG3691C")
  2.003  MATH         @MG3692C = ZCMPI(@ModelNum, "MG3692C")
  2.004  MATH         @MG3693C = ZCMPI(@ModelNum, "MG3693C")
  2.005  MATH         @MG3694C = ZCMPI(@ModelNum, "MG3694C")
  2.006  MATH         @MG3695C = ZCMPI(@ModelNum, "MG3695C")
  2.007  MATH         @MG3697C = ZCMPI(@ModelNum, "MG3697C")
  2.008  END

  2.009  EVAL   Increment step number

# =====  Sub MG369XC Set RF Output Connector Type  ==========================

  3.001  LABEL        OUTPUT_CONNECTOR_TYPE

  3.002  IF           @MG3691C || @MG3692C || @MG3693C || @MG3694C
  3.003  MATH         @MG369XC_Con = "K"
  3.004  ELSEIF       @MG3695C || @MG3697C
  3.005  MATH         @MG369XC_Con = "V"
  3.006  ELSE
  3.007  DISP         Sub MG369XC Set RF Output Connector Type:
  3.007  DISP
  3.007  DISP         None of the MG369XC model flags (@MG3691C, @MG3692C,
  3.007  DISP         @MG3693C, @MG3694C, @MG3695C, or @MG3697C) is set!
  3.008  END
  3.009  ENDIF

  3.010  END

  3.011  EVAL   Increment step number

# =====  Sub MG369XC Set Instrument Info  ===================================

  4.001  LABEL        SET_INST_INFO

  4.002  IEEE         OI[I$]
  4.003  MATH         oistr = MEM2

  4.004  MATH         @ModelStr = SUB(oistr, 1, 4) & SUB(oistr, 35, 1)
  4.005  MATH         @FreqLowGHz = SUB(oistr, 5, 5)
  4.006  MATH         @FreqHighGHz = SUB(oistr, 10, 5)
  4.007  MATH         @PowerLow = SUB(oistr, 15, 6)
  4.008  MATH         @PowerHigh = SUB(oistr, 21, 4)
  4.009  MATH         @PowerRated = @PowerHigh
  4.010  MATH         @FirmwareVer = SUB(oistr, 25,4)

# Power levels for detector table calibration
  4.011  IEEE         OCD[I$]
  4.012  MATH         @CalMaxLevel = SUB(MEM2,1,2)
  4.013  MATH         @CalMinLevel = SUB(MEM2,3,LEN(MEM2)-2)

  4.014  END
